﻿<?php
require_once 'Todo.php';
$todo = new Todo();
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
	"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" dir="ltr">
<head>
	<meta http-equiv="content-type" content="text/html; charset=utf-8" />
	<title>TODO - Lista</title>
	<link rel="stylesheet" type="text/css" href="style.css" />
	<link rel="stylesheet" type="text/css" href="print.css" media="print" />
</head>

<body>
	<div id="list">
		<ul>
		<?php
			$allTodos = $todo->getAllTodos();
			foreach ($allTodos as $todoItem) { 
			?>
				<li>
					<a href="index.php?id=<?php print $todoItem['id']; ?>"><?php print $todoItem['title']; ?></a>
				</li>
			<?php
			}
		?>
		</ul>
	</div>
	<div id="description">
		<?php
			$id = isset($_GET['id']) ? $_GET['id'] : NULL;
			if ($id) {
				$todoItem = $todo->getTodo($id);
				print '<p class="bold">Határidő:' . date('Y-m-d', $todoItem['deadline']) . '</p>';
				if ($todoItem && $todoItem['description']) {
					print '<p class="bold">Leírás:</p>';
					print $todoItem['description'];
				}
			}
		?>
	</div>
	<div id="operations">
		<a href="newtodo.php">Új feladat</a>
	</div>
</body>
</html>