﻿<?php
require_once 'Todo.php';
$todo = new Todo();
if (isset($_POST['title']) && isset($_POST['description'])) {
	$todo->save($_POST);
	header('Location: index.php');
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
	"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" dir="ltr">
<head>
	<meta http-equiv="content-type" content="text/html; charset=utf-8" />
	<title>TODO - Új</title>
	<link rel="stylesheet" type="text/css" href="style.css" />
</head>

<body>
	
	<div>
		<h1>Új feladat</h1>
		<form method="post" action="newtodo.php">
			<table>
				<tr>
					<td><label for="title">Feladat:</label></td>
					<td><input type="text" id="title" name="title" /></td>
				<tr>
					<td><label for="description">Leírás:</label></td>
					<td><textarea id="description" name="description"></textarea></td>
				</tr>
				<tr>
					<td><label for="deadline">Határidő: </label></td>
					<td>
						<select id="deadline" name="deadline[year]">
							<?php
								for ($i = 2011; $i < date('Y') + 10; $i++) {
								?>
										<option value="<?php print $i; ?>"><?php print $i; ?></option>
								<?php
								}
							?>
						</select>
						<select name="deadline[month]">
							<?php
								for ($i = 1; $i < 12; $i++) {
								?>
										<option value="<?php print $i; ?>"><?php print $i; ?></option>
								<?php
								}
							?>
						</select>
						<select name="deadline[day]">
							<?php
								for ($i = 1; $i < 31; $i++) {
								?>
										<option value="<?php print $i; ?>"><?php print $i; ?></option>
								<?php
								}
							?>
						</select>
					</td>
				</tr>
			</table>
			<input type="submit" value="Mentés" />
		
		</form>
	</div>
</body>
</html>